Bug 658835 - repeated attempts to set regulatory domain from cfg80211
Summary: repeated attempts to set regulatory domain from cfg80211
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: crda
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-01 12:49 UTC by Peter F. Patel-Schneider
Modified: 2012-08-22 21:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-17 18:20:46 UTC
Type: ---


Attachments (Terms of Use)

Description Peter F. Patel-Schneider 2010-12-01 12:49:58 UTC
Description of problem:

I am seeing repeated attempts to set the regulatory domain, which doesn't seem to be the right thing to have happening.

I have set the component to crda, but, of course, the problem might be elsewhere.  The file /lib/udev/rules.d/85-regulatory.rules appears to be correct.  I've included it here:

# Runs CRDA for kernel wireless regulatory events.
# For more information see:
# http://wireless.kernel.org/en/developers/Regulatory/CRDA

SUBSYSTEM=="ieee80211", ACTION=="add", RUN+="/sbin/setregdomain"

KERNEL=="regulatory*", ACTION=="change", SUBSYSTEM=="platform", RUN+="/sbin/crda"


This may or may not be causing other issues with wireless, I can't tell, as I don't know what other problems this regulatory issue might cause.

Version-Release number of selected component (if applicable):

Fedora 14 up to date as of 1 Dec 2010
 2.6.35.6-48.fc14.i686 SMP mod_unload 686 


How reproducible:

Very often


Steps to Reproduce:
1. Boot 
2. Connect to wireless
3. Wait
  
Actual results:

Repeated attempts to set the regulatory domain

Expected results:

At most one such attempt (and hopefully zero)


Additional info:

Here is a fragment of /var/log/messages showing some of the attempts:

Dec  1 06:36:16 idefix kernel: [48703.840516] cfg80211: Calling CRDA to update world regulatory domain
Dec  1 06:36:16 idefix kernel: [48703.840560] cfg80211: Calling CRDA for country: US
Dec  1 06:36:16 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  completed -> disconnected
Dec  1 06:36:16 idefix kernel: [48703.872340] cfg80211: Regulatory domain changed to country: US
Dec  1 06:36:16 idefix kernel: [48703.872345]     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Dec  1 06:36:16 idefix kernel: [48703.872349]     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
Dec  1 06:36:16 idefix kernel: [48703.872353]     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Dec  1 06:36:16 idefix kernel: [48703.872357]     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:36:16 idefix kernel: [48703.872361]     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:36:16 idefix kernel: [48703.872365]     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:36:16 idefix kernel: [48703.872369]     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Dec  1 06:36:17 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  disconnected -> scanning
Dec  1 06:36:18 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  scanning -> associating
Dec  1 06:36:18 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  associating -> associated
Dec  1 06:36:18 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  associated -> 4-way handshake
Dec  1 06:36:18 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  4-way handshake -> group handshake
Dec  1 06:36:18 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Dec  1 06:38:52 idefix kernel: [48860.282292] cfg80211: Calling CRDA to update world regulatory domain
Dec  1 06:38:52 idefix kernel: [48860.282319] cfg80211: Calling CRDA for country: US
Dec  1 06:38:52 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  completed -> disconnected
Dec  1 06:38:52 idefix kernel: [48860.292350] cfg80211: Regulatory domain changed to country: US
Dec  1 06:38:52 idefix kernel: [48860.292354]     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Dec  1 06:38:52 idefix kernel: [48860.292357]     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
Dec  1 06:38:52 idefix kernel: [48860.292360]     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Dec  1 06:38:52 idefix kernel: [48860.292363]     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:38:52 idefix kernel: [48860.292366]     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:38:52 idefix kernel: [48860.292369]     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:38:52 idefix kernel: [48860.292372]     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Dec  1 06:38:55 idefix NetworkManager[1343]: <info> (wlan0): roamed from BSSID 00:11:50:EE:D0:8B (BelkinN) to (none) ((none))
Dec  1 06:38:57 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  disconnected -> scanning
Dec  1 06:38:59 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  scanning -> associating
Dec  1 06:38:59 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  associating -> associated
Dec  1 06:38:59 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  associated -> 4-way handshake
Dec  1 06:38:59 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  4-way handshake -> group handshake
Dec  1 06:38:59 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Dec  1 06:39:01 idefix NetworkManager[1343]: <info> (wlan0): roamed from BSSID (none) ((none)) to 00:11:50:EE:D0:8B (BelkinN)
Dec  1 06:45:36 idefix kernel: [49264.075333] cfg80211: Calling CRDA to update world regulatory domain
Dec  1 06:45:36 idefix kernel: [49264.075372] cfg80211: Calling CRDA for country: US
Dec  1 06:45:36 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  completed -> disconnected
Dec  1 06:45:36 idefix kernel: [49264.089752] cfg80211: Regulatory domain changed to country: US
Dec  1 06:45:36 idefix kernel: [49264.089759]     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Dec  1 06:45:36 idefix kernel: [49264.089766]     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
Dec  1 06:45:36 idefix kernel: [49264.089773]     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Dec  1 06:45:36 idefix kernel: [49264.089779]     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:45:36 idefix kernel: [49264.089786]     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:45:36 idefix kernel: [49264.089792]     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:45:36 idefix kernel: [49264.089798]     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Dec  1 06:45:37 idefix NetworkManager[1343]: <info> (wlan0): roamed from BSSID 00:11:50:EE:D0:8B (BelkinN) to (none) ((none))
Dec  1 06:45:39 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  disconnected -> scanning
Dec  1 06:45:41 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  scanning -> associating
Dec  1 06:45:41 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  associating -> associated
Dec  1 06:45:41 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  associated -> 4-way handshake
Dec  1 06:45:41 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  4-way handshake -> group handshake
Dec  1 06:45:41 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Dec  1 06:45:43 idefix NetworkManager[1343]: <info> (wlan0): roamed from BSSID (none) ((none)) to 00:11:50:EE:D0:8B (BelkinN)
Dec  1 06:47:56 idefix kernel: [49404.185202] cfg80211: Calling CRDA to update world regulatory domain
Dec  1 06:47:56 idefix kernel: [49404.186134] cfg80211: Calling CRDA for country: US
Dec  1 06:47:56 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  completed -> disconnected
Dec  1 06:47:56 idefix kernel: [49404.199266] cfg80211: Regulatory domain changed to country: US
Dec  1 06:47:56 idefix kernel: [49404.199272]     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Dec  1 06:47:56 idefix kernel: [49404.199279]     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
Dec  1 06:47:56 idefix kernel: [49404.199286]     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Dec  1 06:47:56 idefix kernel: [49404.199293]     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:47:56 idefix kernel: [49404.199299]     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:47:56 idefix kernel: [49404.199305]     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:47:56 idefix kernel: [49404.199312]     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Dec  1 06:48:00 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  disconnected -> scanning
Dec  1 06:48:02 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  scanning -> associating
Dec  1 06:48:02 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  associating -> associated
Dec  1 06:48:02 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  associated -> 4-way handshake
Dec  1 06:48:02 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  4-way handshake -> group handshake
Dec  1 06:48:02 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Dec  1 06:49:41 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  completed -> group handshake
Dec  1 06:49:41 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Dec  1 06:56:56 idefix kernel: [49944.615774] cfg80211: Calling CRDA to update world regulatory domain
Dec  1 06:56:56 idefix kernel: [49944.615816] cfg80211: Calling CRDA for country: US
Dec  1 06:56:56 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  completed -> disconnected
Dec  1 06:56:57 idefix kernel: [49944.646736] cfg80211: Regulatory domain changed to country: US
Dec  1 06:56:57 idefix kernel: [49944.646740]     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Dec  1 06:56:57 idefix kernel: [49944.646743]     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
Dec  1 06:56:57 idefix kernel: [49944.646746]     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Dec  1 06:56:57 idefix kernel: [49944.646749]     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:56:57 idefix kernel: [49944.646752]     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:56:57 idefix kernel: [49944.646755]     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 06:56:57 idefix kernel: [49944.646758]     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Dec  1 06:57:01 idefix NetworkManager[1343]: <info> (wlan0): roamed from BSSID 00:11:50:EE:D0:8B (BelkinN) to (none) ((none))
Dec  1 06:57:01 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  disconnected -> scanning
Dec  1 06:57:03 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  scanning -> associating
Dec  1 06:57:03 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  associating -> associated
Dec  1 06:57:03 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  associated -> 4-way handshake
Dec  1 06:57:03 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  4-way handshake -> group handshake
Dec  1 06:57:03 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Dec  1 06:57:07 idefix NetworkManager[1343]: <info> (wlan0): roamed from BSSID (none) ((none)) to 00:11:50:EE:D0:8B (BelkinN)
Dec  1 07:04:42 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  completed -> group handshake
Dec  1 07:04:42 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Dec  1 07:16:14 idefix kernel: [51102.381456] cfg80211: Calling CRDA to update world regulatory domain
Dec  1 07:16:14 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  completed -> disconnected
Dec  1 07:16:14 idefix kernel: [51102.382686] cfg80211: Calling CRDA for country: US
Dec  1 07:16:14 idefix kernel: [51102.402242] cfg80211: Regulatory domain changed to country: US
Dec  1 07:16:14 idefix kernel: [51102.402246]     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Dec  1 07:16:14 idefix kernel: [51102.402249]     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
Dec  1 07:16:14 idefix kernel: [51102.402272]     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Dec  1 07:16:14 idefix kernel: [51102.402275]     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 07:16:14 idefix kernel: [51102.402278]     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 07:16:14 idefix kernel: [51102.402281]     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Dec  1 07:16:14 idefix kernel: [51102.402284]     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Dec  1 07:16:17 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  disconnected -> scanning
Dec  1 07:16:19 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  scanning -> associating
Dec  1 07:16:19 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  associating -> associated
Dec  1 07:16:19 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  associated -> 4-way handshake
Dec  1 07:16:19 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  4-way handshake -> group handshake
Dec  1 07:16:19 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Dec  1 07:19:42 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  completed -> group handshake
Dec  1 07:19:42 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Dec  1 07:34:42 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  completed -> group handshake
Dec  1 07:34:42 idefix NetworkManager[1343]: <info> (wlan0): supplicant connection state:  group handshake -> completed

Comment 1 John W. Linville 2010-12-01 15:44:25 UTC
If you stay in one place, connected to a single network, and without removing or adding hardware, does it stop calling CRDA?

Comment 2 Peter F. Patel-Schneider 2010-12-01 20:30:26 UTC
It is a bit hard to answer this question definitively.

What generally happens (not that I've characterized all the behaviour patterns) is that there are several fairly closely spaced CRDA calls (as above) and then no calls for a while.   However, after a while there are often CRDA calls again.

This is all without moving the laptop or messing with its hardware, but there are "competing" networks in the area, so maybe a competing WiFi network is messing with something.  (But then why would this trigger CRDA re-determination?)

Anyway, the problem occurs frequently so I should be able to easily provide debugging output if I'm told how to set it up.

Comment 3 Simon Lanzmich 2010-12-05 17:18:41 UTC
I'm seeing the same behavior, but with somewhat worse consequences. After most (*) of the regulatory domain changes, my wifi fails to reconnect. However, the available wireless networks are still visible (**). Suspending to RAM and resuming again makes the wifi usable again — until the next domain update.

(*) My wifi has a relatively low signal strength of about 40%, which somehow seems to be related. When I move my computer to some place of better signal quality, the chances to reconnect without suspeding in between are somewhat better.
(**) In rare cases, the wifi seems to completely lose contact and lists none of the networks.

I'm using Fedora 13 on a MacBook (ath9k wifi) produced for Germany but currently am in Sweden, so the regulatory domain changes are to SE. Kernel version is 2.6.34.7-61.fc13.x86_64, NetworkManager is 0.8.1-10.git20100831.fc13.x86_64.

Comment 4 Peter F. Patel-Schneider 2011-01-13 18:16:19 UTC
I'm getting this problem again.   

It looks as if it is making one of the wireless networks I can see impossible, as the connection attempt times out before the repeated domain changes finish.  The problem is not completely reproducible, but I should be able to do some testing, if I'm told what to look at.

Comment 5 Luis R. Rodriguez 2011-01-13 18:26:50 UTC
I've seen someone else report similar things on linux-wireless. See this thread:

http://www.spinics.net/lists/linux-wireless/msg62427.html

Essentially my conclusion was that the device is simply disconnecting a lot. You may want to review iw event -t log and see why.

Comment 6 John W. Linville 2011-01-17 18:20:46 UTC
Indeed, in the opening report each crda call is preceded by a disconnect/reconnect cycle.  I think that the multiple crda invocations is the symptom, not the problem.

In hopes of avoiding extra confusion, I'm going to close this "crda" bug.  If problems persist, you should open a new "kernel" bug specific to your driver.

Comment 7 Olivier Berger 2012-06-17 19:37:10 UTC
Do you have a /etc/modprobe.d/cfg80211.conf stating options like :
options cfg80211 ieee80211_regdom="EU"

So, try to comment out that line, and see if this improves the situation.

Comment 8 Chris Kommer 2012-08-22 21:14:46 UTC
Oliver, your advice fixed the repeated crda calls for me. Cheers!


Note You need to log in before you can comment on or make changes to this bug.